GENERIC_OSYNC_INODE(9)

NAME
generic_osync_inode - flush all dirty data for a given inode to disk

SYNOPSIS

int generic_osync_inode (struct inode * inode, struct address_space * mapping, int what);

ARGUMENTS

inode
    inode to write

mapping
    the address_space that should be flushed

what
    what to write and wait upon

DESCRIPTION

This can be called by file_write functions for files which have the O_SYNC flag set, to flush dirty writes to disk.

 what is a bitmask, specifying which part of the inode's data should be written and waited upon.

OSYNC_DATA

i_mapping's dirty data

OSYNC_METADATA

the buffers at i_mapping->private_list

OSYNC_INODE

the inode itself